Skip to Content
veriom

Refine security md

Queue a refinement of this Security.md on the workspace's own model keys.

POST
/v1/workspaces/{workspace_id}/tools/security-md/refinements

Queue a refinement of this Security.md on the workspace's own model keys.

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Request Body

application/json
  1. body
compliance?array<>
Itemsitems <= 5
include_workspace_context?Include Workspace Context
Defaulttrue
risk_appetite?Risk Appetite
Default"moderate"
Value in"low""moderate""high"
stack?array<string>
Itemsitems <= 12
target*Target
Value in"claude_skill""cursor_rules""codex_agents""copilot_instructions""windsurf_rules""security_md"
use_case*Use Case
Value in"web_app""api""mobile_backend""iac_cloud""ai_agent""data_pipeline""ci_cd"

Response Body

Successful Response

application/json
  1. response
completed_at?|null
created_at*Created At
Formatdate-time
dropped_rules?Dropped Rules

Proposed rules left out: uncited, repeated or not plain policy.

Default0
error_code?string|null
file?|

The refined file, once the refinement succeeded.

id*Id
Formatuuid
rules?array<>
rules_without_room?Rules Without Room

Supported rules the format had no room for without losing a rule it already had (Windsurf reads at most 6,000 characters).

Default0
started_at?|null
status*Status
Value in"queued""running""succeeded""failed"
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/tools/security-md/refinements' \  -H 'Content-Type: application/json' \  -d '{  "target": "claude_skill",  "use_case": "web_app"}'
Example Response
{  "completed_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "dropped_rules": 0,  "error_code": "string",  "file": {    "content": "string",    "filename": "string",    "media_type": "text/markdown",    "path": "string",    "sha256": "string",    "shortened": true,    "target": "claude_skill",    "target_label": "string"  },  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "rules": [    {      "evidence_ids": [        "string"      ],      "subject": "string",      "text": "string"    }  ],  "rules_without_room": 0,  "started_at": "2019-08-24T14:15:22Z",  "status": "queued"}